Most recent backward compatabilty update help with Orta?

Anybody try the Pal version of Orta after the latest compatibility update? I am referring to the one that added Morrowind, etc to the list, ie the one after Orta first appeared. I know it fixed the JSRF pack that also came with Sega GT for NTSC users. This question has been nagging me for a bit!:stuck_out_tongue:

I have. But being in the PAL region, the game terminates at the end of Episode 3.

Some days I wish I was in the NTSC region. Iā€™m yet to see PAL having an advantage over NTSC.